Skip to:
Content

Opened 23 months ago

Closed 23 months ago

Last modified 21 months ago

#3094 closed defect (duplicate)

Fatal error: Uncaught Error: [] operator not supported for strings

Reported by: psdtohtmlguru Owned by:
Milestone: Priority: normal
Severity: normal Version:
Component: Component - Forums Keywords:
Cc:

Description

Hi guys, while using bbPress plugin i have found a issue. I've seen that it was fixed a couple of months ago, but i'm not sure if it was 100% fixed.

This is the error:
Fatal error: Uncaught Error: [] operator not supported for strings in /Applications/MAMP/htdocs/wp-content/plugins/bbpress/includes/forums/functions.php:1800 Stack trace: #0 /Applications/MAMP/htdocs/wp-includes/class-wp-hook.php(298): bbp_pre_get_posts_normalize_forum_visibility(Object(WP_Query)) #1 /Applications/MAMP/htdocs/wp-includes/class-wp-hook.php(323): WP_Hook->apply_filters(, Array) #2 /Applications/MAMP/htdocs/wp-includes/plugin.php(515): WP_Hook->do_action(Array) #3 /Applications/MAMP/htdocs/wp-includes/class-wp-query.php(1681): do_action_ref_array('pre_get_posts', Array) #4 /Applications/MAMP/htdocs/wp-includes/class-wp-query.php(3238): WP_Query->get_posts() #5 /Applications/MAMP/htdocs/wp-includes/class-wp.php(617): WP_Query->query(Array) #6 /Applications/MAMP/htdocs/wp-includes/class-wp.php(735): WP->query_posts() #7 /Applications/MAMP/htdocswp-includes/functions in /Applications/MAMP/htdocs/wp-content/plugins/bbpress/includes/forums/functions.php on line 1800

The error appears when accessing the Forums CPT on dashboard.

Theme used: Twenty Seventeen
No other plugins

Setup:
macOS
PHP7.1.1

The problem is not on PHP 7.0.15

Change History (4)

#1 @netweb
23 months ago

  • Component changed from General to Component - Forums
  • Milestone Awaiting Review deleted
  • Resolution set to duplicate
  • Status changed from new to closed

Hi @psdtohtmlguru, welcome to Trac and thanks for the report :)

This has already fixed in [6135], see #3031.

#2 @psdtohtmlguru
23 months ago

@netweb I know about that ticket, but i'm using the version bbPress v2.5.12 and i still got the issue.

#3 @netweb
23 months ago

@psdtohtmlguru It will ship as part of bbPress 2.6, this should be very soon :)

#4 @uscore713
21 months ago

Could you please give us some idea of when this fix will be released? As it stands now, v2.5.12 is essentially unusable with PHP 7.1.

UPDATE: I just tried the 2.6 beta 2 release and it seemed to work fine.

Last edited 21 months ago by uscore713 (previous) (diff)
Note: See TracTickets for help on using tickets.